petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESVINEWTONRSLS

Reduced space active set solvers for variational inequalities based on Newton's method

### Options Database

| -snes_type <vinewtonssls,vinewtonrsls> a semi | - smooth solver, a reduced space active set method Many br
| -snes_vi_monitor | - prints the number of active constraints at each iteration. Many br

Many br

### References

1. -T. S. Munson, and S. Benson. Flexible Complementarity Solvers for Large Scale Many brApplications, Optimization Methods and Software, 21 (2006). Many br

### See Also

SNESVISetVariableBounds(), SNESVISetComputeVariableBounds(), SNESCreate(), SNES, SNESSetType(), SNESVINEWTONSSLS, SNESNEWTONTR, SNESLineSearchSet(),SNESLineSearchSetPostCheck(), SNESLineSearchSetPreCheck()

Level:beginner
Location:src/snes/impls/vi/rs/virs.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages